Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.www
Enum SlaveServerDetection.SlaveRelationShip

    java.lang.Object
      java.lang.Enum<SlaveServerDetection.SlaveRelationShip>
          org.pentaho.di.www.SlaveServerDetection.SlaveRelationShip

All Implemented Interfaces:
  Serializable, Comparable<SlaveServerDetection.SlaveRelationShip>

Enclosing class:
  SlaveServerDetection

    public static enum SlaveServerDetection.SlaveRelationShip

extends Enum<SlaveServerDetection.SlaveRelationShip>

Enum Constant Summary
`FAILOVER_MASTER`
`SLAVE_SEVER`

Method Summary
`String` | `getCode()`
`String` | `getDescription()`
`static SlaveServerDetection.SlaveRelationShip` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SlaveServerDetection.SlaveRelationShip[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SLAVE_SEVER

    public static final SlaveServerDetection.SlaveRelationShip SLAVE_SEVER

### FAILOVER_MASTER

    public static final SlaveServerDetection.SlaveRelationShip FAILOVER_MASTER

Method Detail

### values

    public static final SlaveServerDetection.SlaveRelationShip[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SlaveServerDetection.SlaveRelationShip c : SlaveServerDetection.SlaveRelationShip.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SlaveServerDetection.SlaveRelationShip valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getCode

    public String getCode()

  Returns:
    the code

### getDescription

    public String getDescription()

  Returns:
    the description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD